---
title: "Getting Started"
description: "Submit your changes today!"
---


# Getting Started

If you're interested in making changes please see the [rules](/about/rules/) and ensure they are in alignment with what you hope to share.


## Concepts

### Git

[Git](https://git-scm.com/) is a distributed version control system that allows for tracking and managing changes to text files. 
To understand why git is necessary take a look at: [Why git?](/about/why-git)

Video: [Git Explained in 100 Seconds](https://youtu.be/hwP7WQkmECE)

### Markdown 

Markdown is a simple formatting style that allows for simple text to be made into websites and other formats easily. To make your changes you may want to [become familiar with markdown](https://www.markdownguide.org/basic-syntax/). 

Video: [Markdown Crash Course](https://youtu.be/HUBNt18RFbo)


### Source Files

Files that are put into a process that creates some product.  
In this case, the source filed are used with [hugo](https://gohugo.io/) to generate this website.  
Programmers use source code to compile programs, and the possibilities are endless.

Video: [Hugo in 100 Seconds](https://youtu.be/0RKpf3rK57I)

---


## Cloning the Repository

The source files for this site live in [this repository](https://code.gabe.rocks/gabriel/cyberfreedom).

You can clone the repository using the following command:

```git clone https://code.gabe.rocks/gabriel/cyberfreedom.git```

This will place the source files into a folder.

Or you can download a .zip of the files at: https://code.gabe.rocks/gabriel/cyberfreedom/archive/main.zip

### Github

1. Create or Sign in to your account with Github
2. [Import](https://github.com/new/import) the repository with this clone URL: `https://code.gabe.rocks/gabriel/cyberfreedom.git` and give it a name of your choosing.
3. Hit "Begin Import"


## Making Changes

The beauty of git is that you can use simple tools! If you prefer a simple text editor like notepad, or want to use a code-editor with built-in git features it's entirely up to you!

### Staying up to date

Ensure you run `git pull` once in a while to make sure you have the latest changes.

## Using Git

*Before you start tracking your changes make sure you've configured contributions in your name.  
Be sure to [configure](https://git-scm.com/book/en/v2/Getting-Started-First-Time-Git-Setup) your username and email correctly before submitting changes.*

After you've made some changes, you'll want to keep track of them. A set of changes is called a **commit**. To create a commit you'll use your git tools, or using the terminal write `git commit -m ` with a short message after a space. Some tools will automatically track files and stage the changes for you, if you're creating a new fille you'll want to make sure it's added to the commit with `git add ` and then the filename both of these commands require a space before you add your message or file.

## Publishing Your Changes

Once you've made changes you'd like to see made, you'll want to publish them so that they can be **pulled**. You can use a git hosting provider like Github, Codeberg, or Gitlab, or even [host your own](https://forgejo.org/).

The magic of using git is that this particular step is optional, you also have the ability to send the changes directly.  

*More instructions on both of these steps is to follow*

## Getting your changes on the Site

Once you've prepared your changes, you'll have to inform Gabriel of where they are or send them directly. Once your changes are accepted, you'll be informed when they are live.

## How to Get in Touch with Gabriel

|||
|---|---|
|Matrix|@gabriel:libresolutions.network|
|email|gabriel@libresolutions.network|
|xmpp|[gabeg@member.fsf.org](xmpp:gabeg@member.fsf.org?omemo-sid-697415616=bd413120099646998a6aaf36152c72ae2a731fce3123750f2a9832291f5cb95d&omemo-sid-1610051618=5d377dbee263616e103eec6ebaed62e2edb4e30abdbdb9cc7790415e75df2816)|

