---
title: "ID & Age Verification"
icon: "/icons/id-verification.webp"
---

The problems related to mandated online ID or age verification are numerous. They range from [surveillance](/issues/surveillance) concerns, to [censorship](/issues/censorship) and gate-keeping. The broad enforcement of this kind of validation through laws necessitates a form of site-blocking mechanism. By relying on site-blocking for enforcement, much of the free and open web will be compromised and essential personal protections such as the ability to withold one's identity may be at risk. 

>Whilst the policy aim is well-intentioned, the result will be dangerous. The requirement to age-gate will trump the balancing of rights. It risks a disproportionate interference with children’s and adult’s right to access information, and their freedom of expression rights.
>
>EFF: [UK Online Safety Bill Will Mandate Dangerous Age Verification for Much of the Web](https://www.eff.org/deeplinks/2023/09/uk-online-safety-bill-will-mandate-dangerous-age-verification-much-web)

[The Fundamental Problems with Social Media Age-Verification Legislation](https://www.rstreet.org/commentary/the-fundamental-problems-with-social-media-age-verification-legislation/)

[Protecting Children Online Does Not Require ID Checks for Everyone](https://itif.org/publications/2023/11/21/protecting-children-online-does-not-require-id-checks-for-everyone/)

[The sledgehammer approach of age verification tools won’t make the internet safer](https://edri.org/our-work/the-sledgehammer-approach-of-age-verification-tools-wont-make-the-internet-safer/)

[A security expert explains the problem with Age Verification](https://youtu.be/fHdBgtKykLQ)

### High-Risk Data

[Hackers Leak Entire Donor History of Every Campaign on This Christian Crowdfunding Site](https://www.vice.com/en/article/wxd4zq/givesendgo-donor-list-hacker-leak)


[How the personal data of 815 million Indians got breached | Explained](https://www.thehindu.com/sci-tech/technology/how-the-personal-data-of-815-million-indians-got-breached-explained/article67505760.ece)

[Vaccine passport app leaks users’ personal data](https://www.malwarebytes.com/blog/news/2021/09/vaccine-passport-app-leaks-users-personal-data)

[Alberta Health says privacy breach possible on province's vaccine passport website](https://www.cbc.ca/news/canada/calgary/alberta-health-data-breach-vaccine-records-1.6263228)


### Third-Party Validation

When one walks into a liquor store, they are required to show valid photo-id to verify their age with the employee. In this case, no other entity is necessarily aware of the specific transaction or recording it. This is not the case in an online context. 

[5 biggest risks of using third-party services providers](https://www.csoonline.com/article/574543/5-major-risks-third-party-services-may-bring-along-with-them.html)

[ID.me accused of exaggerating info to push for Digital ID](https://reclaimthenet.org/id-me-accused-of-exaggerating-info-to-push-for-digital-id)

### Scope Creep

[UK re-introduces proposals for ID checks on adult websites, could usher in requiring ID for social platforms](https://reclaimthenet.org/uk-re-introduces-proposals-for-id-checks-on-adult-websites)


[Online age verification and children’s rights](https://edri.org/wp-content/uploads/2023/10/Online-age-verification-and-childrens-rights-EDRi-position-paper.pdf)

### Coverage 

- [Minor Matters in Cyberspace: Examining Internet Age-Verification Regulations](https://youtu.be/HypogYSTupc)
- [Social Media Age Verification a Government Plot to Violate Your Privacy?](https://youtu.be/s4JzFeDEv-A)